; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: OS dependent part of the network library.
;
;  Target OS: Dummy
;
;  Dependencies:
;
;  Notes:
;
;_________________________________________________________________________________________



proc SocketCreate, .protocol_family, .socket_type, .protocol
begin
        stc
        return
endp



proc SocketClose, .hSocket
begin
        stc
        return
endp



proc SocketConnect, .hSocket, .pAddress
begin
        stc
        return
endp



proc SocketBind, .hSocket, .pAddressIn
begin
        stc
        return
endp



proc SocketListen, .hSocket, .maxPending
begin
        stc
        return
endp



proc SocketAccept, .hSocket, .pAddress
begin
        stc
        return
endp



proc SocketSend, .hSocket, .pBuffer, .DataLen, .flags
begin
        stc
        return
endp


proc SocketReceive, .hSocket, .pBuffer, .BufferSize, .flags
begin
        stc
        return
endp


proc SocketSendTo, .hSocket, .pBuffer, .DataLen, .flags, .pAddressTo
begin
        stc
        return
endp


proc SocketReceiveFrom, .hSocket, .pBuffer, .BufferSize, .flags, .pAddressFrom
begin
        stc
        return
endp

